Bug Hunting Session
Bug 53882 - LOCALHELP WRITER missing for 'char unit' and square page grid
Summary: LOCALHELP WRITER missing for 'char unit' and square page grid
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.6.1.1 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-21 14:04 UTC by Rainer Bielefeld Retired
Modified: 2012-10-23 07:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-08-21 14:04:39 UTC
I see that with "LibreOffice 3.6.1.1  German UI/Locale [Build-ID:  4db6344] on German WIN7 Home Premium (64bit), cant remember to have seen that before, but until now I did not search systematically.

Steps how to reproduce:
0. Wich En-US UI enabled launch LibO
1. New WRITER document from Start center
2. Menu -> Tools -> Options -> Writer -> General -> Settings -> 
   Measurement Units' 
3. <Help>
4. Click Link 'Writer'
5. Click Link 'Geneal'
6. Scroll Down so that you see Heading "Measurement unit"
   Bug: Help for Checkboxes 'Use square page mode for text grid' and
        'Enable Char unit' are missing
Comment 1 Andras Timar 2012-09-17 19:25:03 UTC
They look like some CJK enhancements. They only visible when Asian language support is selected in Language settings. I don't know how to test them.
Comment 2 Rainer Bielefeld Retired 2012-09-17 20:31:57 UTC
@Cheng-Chia Tseng:
Can you help with some Help text?
Comment 3 Cheng-Chia Tseng 2012-09-18 01:59:23 UTC
I can describe how the option enabled works for CJK, but I do not know how to write help content.

1. if "Enable Char unit" in "Measurement unit" is enabled (it is automatically enabled for CJK), the measurement unit of Format > Paragraph > Indents & Spacing settings will use "characters" and "lines" for indents and spacing.

2. How to enable Text Grid? Choose Format > Page > Text Grid, and click the radio button in front of "Grid (lines and characters)". Then click OK button.

If "Use square page mode for text grid" in "Measurement unit" is enabled (it is automatically enabled for CJK), it will make Text Grid look like square page.

Spare page is a kind of page layout in China and Taiwan (I don't know about Japan or Korea use this or not) which is used to train students to write articles. The squares are used to let users write each character in it to ensure neatness and tidiness. Here is a link what it actually look: http://stud.fhjh.tp.edu.tw/~p985/file/A4.jpg The link comes from an elementary school in Taiwan.
Comment 4 Cheng-Chia Tseng 2012-09-18 02:15:23 UTC
I find a more detail information about square page from Wikipedia, here is the link http://en.wikipedia.org/wiki/Genk%C5%8D_y%C5%8Dshi

Hope this will help.
Comment 5 Not Assigned 2012-10-23 07:36:38 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=5ce2b22ceed6bbb22f888fd12798ac53f5e7de98

fdo#53882 add help + extended tips



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.